<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransactionControl StructType
 * @subpackage Structs
 */
class TransactionControl extends AbstractStructBase
{
    /**
     * The tc
     * @var \StructType\Tc
     */
    public $tc;
    /**
     * Constructor method for TransactionControl
     * @uses TransactionControl::setTc()
     * @param \StructType\Tc $tc
     */
    public function __construct(\StructType\Tc $tc = null)
    {
        $this
            ->setTc($tc);
    }
    /**
     * Get tc value
     * @return \StructType\Tc|null
     */
    public function getTc()
    {
        return $this->tc;
    }
    /**
     * Set tc value
     * @param \StructType\Tc $tc
     * @return \StructType\TransactionControl
     */
    public function setTc(\StructType\Tc $tc = null)
    {
        $this->tc = $tc;
        return $this;
    }
}
